{% extends "base.html" %}
{% from "_macros.html" import render_field_with_errors, render_field %}

{% block content %}
    {% if success %}
        <div class="alert alert-success">
            <strong>Upload succeeded!</strong> {{ message }}
        </div>
    {% elif message %}
        <div class="alert alert-danger">
            <strong>Upload failed!</strong> {{ message }}
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Upload data to StudyGovernor</h5>
        <div class="card-body">
            <form action="{{ url_for('web.upload_data') }}" method="POST" name="upload_form"  enctype="multipart/form-data">
                {{ upload_form.hidden_tag() }}
                {{ render_field_with_errors(upload_form.file_field) }}
                {{ render_field(upload_form.submit) }}
            </form>
        </div>
    </div>
{% endblock %}
